Bug 1279137 - [abrt] system-config-language: install_packages3.py:291:install_language_packages:AttributeError: 'CalledProcessError' object has no attribute 'message'
[abrt] system-config-language: install_packages3.py:291:install_language_pack...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0b91603141a8ca4462408c09571...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 22:57 EST by Paulim_hed
Modified: 2017-01-16 21:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 00:59:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.23 KB, text/plain)
2015-11-07 22:57 EST, Paulim_hed
no flags Details
File: environ (169 bytes, text/plain)
2015-11-07 22:57 EST, Paulim_hed
no flags Details

  None (edit)
Description Paulim_hed 2015-11-07 22:57:02 EST
Version-Release number of selected component:
system-config-language-3.3.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 /usr/share/system-config-language/system-config-language.py
executable:     /usr/share/system-config-language/system-config-language.py
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
install_packages3.py:291:install_language_packages:AttributeError: 'CalledProcessError' object has no attribute 'message'

Traceback (most recent call last):
  File "/usr/share/system-config-language/install_packages3.py", line 288, in install_language_packages
    subprocess.check_output(cmd, shell=True)
  File "/usr/lib64/python3.4/subprocess.py", line 620, in check_output
    raise CalledProcessError(retcode, process.args, output=output)
subprocess.CalledProcessError: Command 'dnf langinstall -y pt_BR' returned non-zero exit status 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/system-config-language/language_gui.py", line 308, in ok_btn
    installed = self.instpkg.install_packages3(dlang)
  File "/usr/share/system-config-language/install_packages3.py", line 275, in install_packages3
    ret = self.install_language_packages(langcode)
  File "/usr/share/system-config-language/install_packages3.py", line 291, in install_language_packages
    print(e.message)
AttributeError: 'CalledProcessError' object has no attribute 'message'

Local variables in innermost frame:
cls: <class 'install_packages3.InstallLangpack'>
langcode: 'pt_BR'
cmd: 'dnf langinstall -y pt_BR'
Comment 1 Paulim_hed 2015-11-07 22:57:07 EST
Created attachment 1091152 [details]
File: backtrace
Comment 2 Paulim_hed 2015-11-07 22:57:09 EST
Created attachment 1091153 [details]
File: environ
Comment 3 Parag Nemade 2016-01-01 04:09:48 EST
I am not sure how to reproduce this. I just tried to reproduce by selecting pt_BR language. As system-config-language checks first repodata and if needs refresh it, it took some time and then installed required packages. I checked this on F23.

Note You need to log in before you can comment on or make changes to this bug.